Permalink
Browse files

locked dependency versions

  • Loading branch information...
andris9 committed Mar 23, 2013
1 parent 1023fbe commit 354dd21df62b9be72f80bcd5b1253ea52d9fdbc9
Showing with 176 additions and 4 deletions.
  1. +172 −0 npm-shrinkwrap.json
  2. +4 −4 package.json
View

Some generated files are not rendered by default. Learn more.

Oops, something went wrong.
View
@@ -1,7 +1,7 @@
{
"name": "nodemailer",
"description": "Easy to use module to send e-mails, supports unicode and SSL/TLS",
- "version": "0.3.44",
+ "version": "0.3.45",
"author" : "Andris Reinman",
"maintainers":[
{
@@ -25,9 +25,9 @@
}
],
"dependencies": {
- "mailcomposer": ">= 0.1.29",
- "simplesmtp": ">= 0.1.28",
- "optimist": "*"
+ "mailcomposer": "~0.1",
+ "simplesmtp": "~0.2",
+ "optimist": "0.3.5"
},
"devDependencies": {
"nodeunit": "*"

1 comment on commit 354dd21

@andris9 I don't see this version published on npm. Any chance you could push it through? It solves a bug where npm will follow the dependency spec and install mailcomposer@3.6.3 (and trigger a method not found error) instead of something that should follow semver.

> npm info nodemailer
...
     '0.3.44': '2013-03-10T17:18:55.904Z',
     '0.4.0': '2013-03-23T07:12:01.389Z',

Thanks!

Please sign in to comment.